$(() => {
$('#single-selection').dxButtonGroup({
items: alignments,
keyExpr: 'alignment',
stylingMode: 'outlined',
selectedItemKeys: ['left'],
onItemClick(e) {
DevExpress.ui.notify({ message: `The "${e.itemData.hint}" button was clicked`, width: 320 }, 'success', 1000);
},
});
$('#multiple-selection').dxButtonGroup({
items: fontStyles,
keyExpr: 'style',
stylingMode: 'outlined',
selectionMode: 'multiple',
onItemClick(e) {
DevExpress.ui.notify({ message: `The "${e.itemData.hint}" button was clicked`, width: 320 }, 'success', 1000);
},
});
$('#single-selection-styling-mode').dxButtonGroup({
items: alignments,
keyExpr: 'alignment',
stylingMode: 'text',
selectedItemKeys: ['left'],
onItemClick(e) {
DevExpress.ui.notify({ message: `The "${e.itemData.hint}" button was clicked`, width: 320 }, 'success', 1000);
},
});
$('#multiple-selection-styling-mode').dxButtonGroup({
items: fontStyles,
keyExpr: 'style',
stylingMode: 'text',
selectionMode: 'multiple',
onItemClick(e) {
DevExpress.ui.notify({ message: `The "${e.itemData.hint}" button was clicked`, width: 320 }, 'success', 1000);
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/22.2.3/js/dx.all.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="data.js"></script>
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="buttongroups-container">
<div id="single-selection"></div>
<div id="multiple-selection"></div>
</div>
<div class="buttongroups-container">
<div id="single-selection-styling-mode"></div>
<div id="multiple-selection-styling-mode"></div>
</div>
</div>
</body>
</html>
.buttongroups-container {
display: flex;
justify-content: center;
font-size: 16px;
}
.buttongroups-container > div {
padding: 0 12px;
}
.buttongroups-container:first-child {
margin-top: 120px;
margin-bottom: 40px;
}
#multiple-selection-styling-mode {
border-left-width: 1px;
border-left-style: solid;
border-color: #ddd;
}
const alignments = [
{
icon: 'alignleft',
alignment: 'left',
hint: 'Align left',
},
{
icon: 'aligncenter',
alignment: 'center',
hint: 'Center',
},
{
icon: 'alignright',
alignment: 'right',
hint: 'Align right',
},
{
icon: 'alignjustify',
alignment: 'justify',
hint: 'Justify',
},
];
const fontStyles = [
{
icon: 'bold',
style: 'bold',
hint: 'Bold',
},
{
icon: 'italic',
style: 'italic',
hint: 'Italic',
},
{
icon: 'underline',
style: 'underline',
hint: 'Underlined',
},
{
icon: 'strike',
style: 'strike',
hint: 'Strikethrough',
},
];

import React from 'react';
import { ButtonGroup } from 'devextreme-react/button-group';
import notify from 'devextreme/ui/notify';
import { alignments, fontStyles } from './data.js';
const selectedItemKeys = ['left'];
class App extends React.Component {
render() {
return (
<div>
<div className="buttongroups-container">
<ButtonGroup
items={alignments}
keyExpr="alignment"
stylingMode="outlined"
selectedItemKeys={selectedItemKeys}
onItemClick={itemClick}
/>
<ButtonGroup
items={fontStyles}
keyExpr="style"
stylingMode="outlined"
selectionMode="multiple"
onItemClick={itemClick}
/>
</div>
<div className="buttongroups-container">
<ButtonGroup
items={alignments}
keyExpr="alignment"
stylingMode="text"
selectedItemKeys={selectedItemKeys}
onItemClick={itemClick}
/>
<ButtonGroup
className="multiple-selection-styling-mode"
items={fontStyles}
keyExpr="style"
stylingMode="text"
selectionMode="multiple"
onItemClick={itemClick}
/>
</div>
</div>
);
}
}
function itemClick(e) {
notify({ message: `The "${e.itemData.hint}" button was clicked`, width: 320 }, 'success', 1000);
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.buttongroups-container {
display: flex;
justify-content: center;
font-size: 16px;
}
.buttongroups-container > div {
padding: 0 12px;
}
.buttongroups-container:first-child {
margin-top: 120px;
margin-bottom: 40px;
}
.multiple-selection-styling-mode {
border-left-width: 1px;
border-left-style: solid;
border-color: #ddd;
}
export const alignments = [
{
icon: 'alignleft',
alignment: 'left',
hint: 'Align left',
},
{
icon: 'aligncenter',
alignment: 'center',
hint: 'Center',
},
{
icon: 'alignright',
alignment: 'right',
hint: 'Align right',
},
{
icon: 'alignjustify',
alignment: 'justify',
hint: 'Justify',
},
];
export const fontStyles = [
{
icon: 'bold',
style: 'bold',
hint: 'Bold',
},
{
icon: 'italic',
style: 'italic',
hint: 'Italic',
},
{
icon: 'underline',
style: 'underline',
hint: 'Underlined',
},
{
icon: 'strike',
style: 'strike',
hint: 'Strikethrough',
},
];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.5/cjs',
'devextreme-react': 'npm:devextreme-react@23.1.5',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.1/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.48/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<template>
<div>
<div class="buttongroups-container">
<DxButtonGroup
:items="alignments"
:selected-item-keys="['left']"
key-expr="alignment"
styling-mode="outlined"
@item-click="itemClick"
/>
<DxButtonGroup
:items="fontStyles"
key-expr="style"
styling-mode="outlined"
selection-mode="multiple"
@item-click="itemClick"
/>
</div>
<div class="buttongroups-container">
<DxButtonGroup
:items="alignments"
:selected-item-keys="['left']"
key-expr="alignment"
styling-mode="text"
@item-click="itemClick"
/>
<DxButtonGroup
:items="fontStyles"
class="multiple-selection-styling-mode"
key-expr="style"
styling-mode="text"
selection-mode="multiple"
@item-click="itemClick"
/>
</div>
</div>
</template>
<script>
import DxButtonGroup from 'devextreme-vue/button-group';
import notify from 'devextreme/ui/notify';
import { alignments, fontStyles } from './data.js';
export default {
components: {
DxButtonGroup,
},
data() {
return {
alignments,
fontStyles,
};
},
methods: {
itemClick(e) {
notify({ message: `The "${e.itemData.hint}" button was clicked`, width: 320 }, 'success', 1000);
},
},
};
</script>
<style scoped>
.buttongroups-container {
display: flex;
justify-content: center;
font-size: 16px;
}
.buttongroups-container > div {
padding: 0 12px;
}
.buttongroups-container:first-child {
margin-top: 120px;
margin-bottom: 40px;
}
.multiple-selection-styling-mode {
border-left-width: 1px;
border-left-style: solid;
border-color: #ddd;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const alignments = [
{
icon: 'alignleft',
alignment: 'left',
hint: 'Align left',
},
{
icon: 'aligncenter',
alignment: 'center',
hint: 'Center',
},
{
icon: 'alignright',
alignment: 'right',
hint: 'Align right',
},
{
icon: 'alignjustify',
alignment: 'justify',
hint: 'Justify',
},
];
export const fontStyles = [
{
icon: 'bold',
style: 'bold',
hint: 'Bold',
},
{
icon: 'italic',
style: 'italic',
hint: 'Italic',
},
{
icon: 'underline',
style: 'underline',
hint: 'Underlined',
},
{
icon: 'strike',
style: 'strike',
hint: 'Strikethrough',
},
];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'root:': '../../../../../',
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js',
'demo-ts-loader': 'root:utils/demo-ts-loader.js',
'svg-loader': 'root:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.5/cjs',
'devextreme-vue': 'npm:devextreme-vue@23.1.5',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.1/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.48/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);

<div class="buttongroups-container">
<dx-button-group
[items]="alignments"
keyExpr="alignment"
stylingMode="outlined"
[selectedItemKeys]="['left']"
(onItemClick)="itemClick($event)">
</dx-button-group>
<dx-button-group
[items]="fontStyles"
keyExpr="style"
stylingMode="outlined"
selectionMode="multiple"
(onItemClick)="itemClick($event)">
</dx-button-group>
</div>
<div class="buttongroups-container">
<dx-button-group
[items]="alignments"
keyExpr="alignment"
stylingMode="text"
[selectedItemKeys]="['left']"
(onItemClick)="itemClick($event)">
</dx-button-group>
<dx-button-group
class="multiple-selection-styling-mode"
[items]="fontStyles"
keyExpr="style"
stylingMode="text"
selectionMode="multiple"
(onItemClick)="itemClick($event)">
</dx-button-group>
</div>
import { Component, NgModule, enableProdMode } from '@angular/core';
import {BrowserModule} from '@angular/platform-browser';
import {platformBrowserDynamic} from '@angular/platform-browser-dynamic';
import {DxButtonGroupModule} from 'devextreme-angular';
import notify from 'devextreme/ui/notify';
import { Alignment, FontStyle, Service } from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [ Service ],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
preserveWhitespaces: true
})
export class AppComponent {
alignments: Alignment[];
fontStyles: FontStyle[];
constructor(service: Service) {
this.alignments = service.getAlignments();
this.fontStyles = service.getFontStyles();
}
itemClick(e) {
notify({ message: 'The "' + e.itemData.hint + '" button was clicked', width: 320 }, "success", 1000)
}
}
@NgModule({
imports: [
BrowserModule,
DxButtonGroupModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
.buttongroups-container {
display: flex;
justify-content: center;
font-size: 16px;
}
.dx-buttongroup {
padding: 0 12px;
}
.buttongroups-container:first-child {
margin-top: 120px;
margin-bottom: 40px;
}
.multiple-selection-styling-mode {
border-left-width: 1px;
border-left-style: solid;
border-color: #dddddd;
}
import { Injectable } from '@angular/core';
export class Alignment {
icon: string;
alignment: string;
hint: string;
}
export class FontStyle {
icon: string;
style: string;
hint: string;
}
let alignments: Alignment[] = [
{
icon: "alignleft",
alignment: "left",
hint: "Align left"
},
{
icon: "aligncenter",
alignment: "center",
hint: "Center"
},
{
icon: "alignright",
alignment: "right",
hint: "Align right"
},
{
icon: "alignjustify",
alignment: "justify",
hint: "Justify"
}
];
let fontStyle: FontStyle[] = [
{
icon: "bold",
style: "bold",
hint: "Bold"
},
{
icon: "italic",
style: "italic",
hint: "Italic"
},
{
icon: "underline",
style: "underline",
hint: "Underlined"
},
{
icon: "strike",
style: "strike",
hint: "Strikethrough"
}
];
@Injectable()
export class Service {
getAlignments() : Alignment[] {
return alignments;
}
getFontStyles() : FontStyle[] {
return fontStyle;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.1.0/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.26.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.6',
'jszip': 'npm:jszip@3.6.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.10.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.18',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.24',
'devextreme-angular': 'npm:devextreme-angular@20.2.6',
'preact': 'npm:preact@10.5.13/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.13/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>